# Class CIM_AssociatedIndicatorLED
extends CIM_Dependency

ManagedSystemElements may have zero or more IndicatorLEDs associated with them, in order to indicate problem situations. This relationship is indicated by the AssociatedIndicatorLED dependency.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AssociatedIndicatorLED

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ManagedSystemElements may have zero or more IndicatorLEDs associated with them, in order to indicate problem situations. This relationship is indicated by the AssociatedIndicatorLED dependency.
UMLPackagePath | string | CIM::Device::LED
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AssociatedIndicatorLED | CIM_ManagedSystemElement
Dependent | CIM_AssociatedIndicatorLED | CIM_IndicatorLED

## Class Methods